---
title: "Get team doc group templates"
url: "https://docs.signnow.com/docs/deprecated-dgt/operations/get-team-document-group-templates"
type: "endpoint"
section: "deprecated-dgt"
slug: "deprecated-dgt/operations/get-team-document-group-templates"
method: "GET"
path: "/team/{team_id}/documentgroup/templates"
operation_id: "get-team-document-group-templates"
authorization: "bearer"
---

# Get team doc group templates

`GET /team/{team_id}/documentgroup/templates`

This endpoint returns all document group templates shared with the team.

> The endpoint is deprecated. To retrieve DGTs shared with a team, users should now fetch the content of specific team folders/subfolders.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `team_id` | string | Yes |  |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `limit` | string | Yes | allowed values: numbers from 1 to 50 |
| `offset` | string | No | allowed values: positive numbers starting from 0 |

## Responses

### 200

**Example** (`application/json`)

```json
{
  "document_group_templates": [
    {
      "templates": [
        {
          "id": "bcXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "name": "Template 1",
          "roles": [
            "Signer 1"
          ],
          "thumbnail": {
            "large": "http://example.com/document/bcXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=large",
            "small": "http://example.com/document/bcXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=small",
            "medium": "http://example.com/document/bcXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=medium"
          }
        },
        {
          "id": "efXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "name": "Template with fixed role and field",
          "roles": [
            "Signer 1"
          ],
          "thumbnail": {
            "large": "http://example.com/document/bcXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=large",
            "small": "http://example.com/document/bcXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=small",
            "medium": "http://example.com/document/bcXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=medium"
          }
        }
      ],
      "owner_email": "owner@email.com",
      "last_updated": "1534146166",
      "template_group_id": "23XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "template_group_name": "Template group 2"
    }
  ],
  "document_group_template_total_count": 1
}
```

### 400

* Incorrect or missing `limit`
* User is not in the team
* Incorrect or missing `offset`
* Team not found

**Example** (`Team not found`)

```json
{
  "code": 66391,
  "message": "Team not found"
}
```

**Example** (`User is not in the team`)

```json
{
  "code": 65582,
  "message": "User is not part of this team"
}
```

**Example** (`Incorrect or missing limit`)

```json
{
  "code": 65582,
  "message": "The limit query parameter is required and must be between 1 and 50"
}
```

**Example** (`Incorrect or missing offset`)

```json
{
  "code": 65582,
  "message": "The offset query parameter is required and must be 0 or greater"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/team/{team_id}/documentgroup/templates" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/deprecated-dgt/operations/get-team-document-group-templates*
